<?php 

	// Load gateway setings
$sRootPath = dirname(__FILE__);

while((strlen($sRootPath) > 2) && !is_dir($sRootPath . '/idealcheckout'))
{
	$sRootPath = dirname($sRootPath);
}

if(!is_dir($sRootPath . '/idealcheckout'))
{
	die('Cannot find /idealcheckout/ folder.<br>File: ' . __FILE__ . '<br>Line: ' . __LINE__);
}

require_once($sRootPath . '/idealcheckout/includes/library.php');

	$aGatewaySettings = idealcheckout_getGatewaySettings(false, 'sofortbanking');


	if(empty($idealcheckoutsofortbanking_order_pending_status_id))
	{
		$idealcheckoutsofortbanking_order_pending_status_id = 1;
	}

	if(empty($idealcheckoutsofortbanking_order_success_status_id))
	{
		$idealcheckoutsofortbanking_order_success_status_id = 2;
	}

	if(empty($idealcheckoutsofortbanking_order_cancel_status_id))
	{
		$idealcheckoutsofortbanking_order_cancel_status_id = 7;
	}



echo $header; ?><?php echo $column_left; ?>
<div id="content">
 <div class="page-header">
  <div class="container-fluid">
   <div class="pull-right">
    <button type="submit" form="form-idealcheckoutsofortbanking" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
    <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
    <h1><?php echo $heading_title; ?></h1>
    <ul class="breadcrumb">
     <?php foreach ($breadcrumbs as $breadcrumb) { ?>
      <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
     <?php } ?>
    </ul>
   </div>
 </div>
 <div class="container-fluid">
  <?php if (isset($error['error_warning'])) { ?>
  <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error['error_warning']; ?>
    <button type="button" class="close" data-dismiss="alert">&times;</button>
 </div>
 <?php } ?>
  <div class="panel panel-default">
   <div class="panel-heading">
    <h3 class="panel-title"><i class="fa fa-pencil"></i> Wijzigen</h3>
   </div>
   <div class="panel-body">
     <p>Via deze plugin kunt u Sofort Banking betalingen ontvangen in uw webshop via diverse Payment Service Providers.</p>
     <p>Deze plugin is momenteel geconfigureerd om Sofort Banking transacties te verwerken via <b><?php echo htmlspecialchars($aGatewaySettings['GATEWAY_NAME']); ?></b>.<br>Meer informatie over deze Payment Service Provider vind u op <a href="<?php echo htmlspecialchars($aGatewaySettings['GATEWAY_WEBSITE']); ?>" target="_blank"><?php echo htmlspecialchars($aGatewaySettings['GATEWAY_WEBSITE']); ?></a></p>
      <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-idealcheckoutsofortbanking">
        <div id="tab-general" class="page">
          <table class="form">
            <tr>
              <td><?php echo $entry_status; ?></td>
              <td><select name="idealcheckoutsofortbanking_status" class="form-control">
                  <?php if ($idealcheckoutsofortbanking_status) { ?>
                  <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                  <option value="0"><?php echo $text_disabled; ?></option>
                  <?php } else { ?>
                  <option value="1"><?php echo $text_enabled; ?></option>
                  <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                  <?php } ?>
                </select></td>
            </tr>
            <tr>
              <td><?php echo $entry_sort_order; ?></td>
              <td><input type="text" name="idealcheckoutsofortbanking_sort_order" value="<?php echo $idealcheckoutsofortbanking_sort_order; ?>" size="1" class="form-control" /></td>
            </tr>
            <tr>
              <td><?php echo ($entry_order_success_status); ?></td>
              <td><select name="idealcheckoutsofortbanking_order_success_status_id" class="form-control">
              <?php foreach ($order_statuses as $order_status) { ?>
              <?php if ($order_status['order_status_id'] == $idealcheckoutsofortbanking_order_success_status_id) { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
              <?php } ?>
              <?php } ?>
              </select></td>
            </tr>
            <tr>
              <td><?php echo ($entry_order_pending_status); ?></td>
              <td><select name="idealcheckoutsofortbanking_order_pending_status_id" class="form-control">
              <?php foreach ($order_statuses as $order_status) { ?>
              <?php if ($order_status['order_status_id'] == $idealcheckoutsofortbanking_order_pending_status_id) { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
              <?php } ?>
              <?php } ?>
              </select></td>
            </tr>
            <tr>
              <td><?php echo ($entry_order_cancel_status); ?></td>
              <td><select name="idealcheckoutsofortbanking_order_cancel_status_id" class="form-control">
              <?php foreach ($order_statuses as $order_status) { ?>
              <?php if ($order_status['order_status_id'] == $idealcheckoutsofortbanking_order_cancel_status_id) { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
              <?php } ?>
              <?php } ?>
              </select></td>
            </tr>
          </table>
        </div>
      </form>

<?php
	
	$sHtml = '';

	if($aGatewaySettings['GATEWAY_VALIDATION'])
	{
		$sHtml .= '
<p>&nbsp;</p>
<h2>Transacties Controleren</h2>
<p>Controleer de status van alle openstaande transacties bij uw Payment Service Provider.</p>
<p><input type="button" value="Controleer openstaande transacties." onclick="javascript: window.open(\'' . idealcheckout_getRootUrl(1) . 'idealcheckout/validate.php?gateway=sofortbanking\', \'popup\', \'directories=no,height=550,location=no,menubar=no,resizable=yes,scrollbars=yes,status=no,toolbar=no,width=750\');"></p>';
	}

	$sHtml .= '
<p>&nbsp;</p>
<h2>Over deze plugin</h2>
<p>Deze Sofort Banking plugin is ontwikkeld door <a href="https://www.ideal-checkout.nl" target="_blank">iDEAL Checkout</a> en is GRATIS te downloaden via <a href="http://www.ideal-checkout.nl" target="_blank">http://www.ideal-checkout.nl</a>.<br><br>- Voor vragen over deze plugin kunt u kijken op <a href="http://www.ideal-checkout.nl" target="_blank">http://www.ideal-checkout.nl</a> of mailen naar <a href="mailto:info@ideal-checkout.nl">info@ideal-checkout.nl</a><br>- Feedback en donaties<br>- Het gebruik van onze plugins/scripts is geheel op eigen risico.</p>';
	
	echo $sHtml;

?>

    </div>
  </div>
</div>
<?php echo $footer; ?> 